#include "stdafx.h"
#include "2DObject.h"

/************************************************************************
 ¶þÎ¬ÏßÀà
************************************************************************/
C2DLine::C2DLine()
{
	m_byLineStyle = 0;
	m_wLineWidth  = 1;
}

C2DLine::~C2DLine()
{

}

void C2DLine::Serialize( CFile* pFile, BOOL bSave /*= TRUE*/ )
{
	if (bSave)
	{
		C2DAtom::Serialize(pFile,bSave);
		pFile->Write(&m_byLineStyle,sizeof(BYTE));
		pFile->Write(&m_wLineWidth,sizeof(UINT));
	} 
	else
	{
		C2DAtom::Serialize(pFile,bSave);
		pFile->Read(&m_byLineStyle,sizeof(BYTE));
		pFile->Read(&m_wLineWidth,sizeof(UINT));
	}
}